<?php
// Created by Ardora www.webardora.net
//TIMELINE-damedatos
$_SERVER['HTTP_REFERER']="introDatos.php";
$slogin_noauthpage = 0;
$slogin_pagetitle = "";
include_once ("../usuariosDemostracion/usuariosDemostracion_lib.php");
session_cache_limiter('nocache,private');
ini_set("memory_limit","80M");
function dameTitulo($num, $slogin_Username){
    global $dameDescricion, $corlinea, $url,$textoCom, $gAnoI, $gMesI, $gDiaI, $gHoraI, $gMinutoI, $gSegundoI, $gAnoF, $gMesF, $gDiaF, $gHoraF, $gMinutoF, $gSegundoF, $corBoton, $nomeThumb, $ancho;
    $dameDescricion='';
    $url='';
    $textoCom='';
    $gAnoI=""; $gMesI=""; $gDiaI=""; $gHoraI=""; $gMinutoI=""; $gSegundoI="";
    $gAnoF=""; $gMesF=""; $gDiaF=""; $gHoraF=""; $gMinutoF=""; $gSegundoF="";
    $corBoton="red";
    $corlinea="#ff2600";
    $nomeThumb="";
    $ancho=75;
    $num=(int)$num;
    if ($num==0){
	   $resultado='';
    }
    else{
          $path = "../ardoraWorkFiles/ce_linaV7/";
          $dir2 = opendir($path);
          while ($arquivo = readdir($dir2)){
                $extensiones = explode(".",$arquivo) ;
                $nome = $extensiones[0] ;
                if (strpos($nome,$slogin_Username)>-1){
                   $indice=trim(substr($nome, strlen($slogin_Username)+1));
                   $indice=(int)$indice;
                   if ($indice==$num-1){
                      $datos_arquivo = file($path.$arquivo);
                      $resultado=$datos_arquivo[1];
                      $url=$datos_arquivo[2];
                      $gAnoI=trim($datos_arquivo[3]);
                      $gMesI=trim($datos_arquivo[4]);
                      $gDiaI=trim($datos_arquivo[5]);
                      $gHoraI=trim($datos_arquivo[6]);
                      $gMinutoI=trim($datos_arquivo[7]);
                      $gSegundoI=trim($datos_arquivo[8]);
                      $corBoton=trim($datos_arquivo[9]);
                      $gAnoF=trim($datos_arquivo[10]);
                      $gMesF=trim($datos_arquivo[11]);
                      $gDiaF=trim($datos_arquivo[12]);
   	               $gHoraF=trim($datos_arquivo[13]);
                      $gMinutoF=trim($datos_arquivo[14]);
                      $gSegundoF=trim($datos_arquivo[15]);
                      $corlinea=trim($datos_arquivo[16]);
                      $nomeThumb=trim($datos_arquivo[17]);
   	               $ancho=trim($datos_arquivo[18]);
                      $totalArray=count($datos_arquivo);
                      for ( $i = 19 ; $i <= $totalArray ; $i ++) {
                          $textoCom=$textoCom.$datos_arquivo[$i];
                      }
                   }
          }
    }
    closedir($dir2);
  }
  return($resultado);
}
?>
